AnsweredAssumed Answered

macdeploy help

Question asked by jr9128 on Mar 20, 2020
Latest reply on May 18, 2020 by jr9128

So I am reading...

Deploy your app—ArcGIS Runtime SDK for Qt | ArcGIS for Developers 

 

It talks about creating symbolic links and suggests...

ln -s $HOME/ArcGIS/<version>/sdk/OSX/x64/lib/libEsriRuntimeQt.dylib /usr/lib/libEsriRuntimeQt.dylib

A couple of things I noticed...

1) The SDK is not installed on my machine under $HOME/ArcGIS.  I am running 100.5 and am pretty sure I just accepted the defaults during installation.  Should this documentation be updated or is it just something specific on my machine?  Or do I need to find specific documentation for 100.5?

2) I have the following path...$HOME/ArcGIS_SDKs/Qt100.5/sdk/macOS/x64/lib but do not see libEsriRuntimeQt.dylib as suggested by the above documentation.  What I do have in that folder is: libArcGISRuntimeToolkitCppApi.dylib, libEsriCommonQt.dylib, and libruntimecore.dylib.  Should I make symbolic links to any of these instead?

3) Whenever I try to create the symbolic link, I get "Operation not permitted".  Any suggestions on how to get around this?

 

I'm running macOS Mojave 10.14.6 and runtime 100.5.  Appreciate the help.

 

I must need to get the above figured out I guess because whenever I navigate to my *.app content and run manually I get...

qrc:/qml/main.qml:2:1: module "Esri.ArcGISRuntime" is not installed
qrc:/qml/main.qml:1:1: module "Esri.ArcGISExtras" is not installed

 

Thanks!

Jeremy

Outcomes